### R code from vignette source 'googleVis.Rnw'

###################################################
### code chunk number 1: options
###################################################
options(prompt = "R> ", digits = 4, show.signif.stars = FALSE)


###################################################
### code chunk number 2: googleVis.Rnw:251-285 (eval = FALSE)
###################################################
## ## Code for screen shot
## MC <- gvisMotionChart(Fruits, "Fruit", "Year", options=list(width=500, height=300))
## ATL <- gvisAnnotatedTimeLine(Stock, datevar="Date",
##                            numvar="Value", idvar="Device",
##                            titlevar="Title", annotationvar="Annotation",
##                            options=list(
##                              width=300, height=300,
##                              fill=10, displayExactValues=TRUE,
##                              colors="['#0000ff','#00ff00']")
##                            )
##                           
## Map <- gvisMap(Andrew, "LatLong" , "Tip",
##               options=list(showTip=TRUE, showLine=TRUE, enableScrollWheel=TRUE,
##                            mapType='hybrid', useMapTypeControl=TRUE,
##                            width=400, height=200))
## Geo <- gvisGeoMap(Exports, locationvar='Country', numvar='Profit',
##                  options=list(dataMode="regions", width=400,height=200)) 
## 
## ## Table with enabled paging
## Table <- gvisTable(Population, options=list(page='enable', height=200, width=500))
## 
## Tree <- gvisTreeMap(Regions,  "Region", "Parent", "Val", "Fac",
##                     options=list(width=300, height=200,
##                                  fontSize=16,
##                                  minColor='#EDF8FB',
##                                  midColor='#66C2A4',
##                                  maxColor='#006D2C',
##                                  headerHeight=20,
##                                  fontColor='black',
##                                  showScale=TRUE))
## 
## M <- gvisMerge(gvisMerge(gvisMerge(MC, ATL, TRUE), gvisMerge(Map, Geo, TRUE)), gvisMerge(Table, Tree, TRUE))
## 
## 


###################################################
### code chunk number 3: googleVis.Rnw:301-302 (eval = FALSE)
###################################################
## install.packages('googleVis') 


###################################################
### code chunk number 4: googleVis.Rnw:306-307
###################################################
library(googleVis)


###################################################
### code chunk number 5: googleVis.Rnw:309-310 (eval = FALSE)
###################################################
## library(googleVis)


###################################################
### code chunk number 6: googleVis.Rnw:312-313
###################################################
cat(googleVis:::gvisWelcomeMessage())


###################################################
### code chunk number 7: googleVis.Rnw:342-343 (eval = FALSE)
###################################################
## help('gvisMotionChart')


###################################################
### code chunk number 8: googleVis.Rnw:387-389
###################################################
data(Fruits)
Fruits


###################################################
### code chunk number 9: googleVis.Rnw:396-397
###################################################
 M <- gvisMotionChart(Fruits, idvar="Fruit", timevar="Year")


###################################################
### code chunk number 10: googleVis.Rnw:401-402 (eval = FALSE)
###################################################
##  str(M)


###################################################
### code chunk number 11: googleVis.Rnw:404-406
###################################################
## This statement avoids truncation
cat(paste(substring( capture.output( str(M) ) , 0, 66), sep="\n", collapse="\n"))


###################################################
### code chunk number 12: googleVis.Rnw:411-413
###################################################
M$type
M$chartid


###################################################
### code chunk number 13: googleVis.Rnw:420-421
###################################################
print(M, tag='header')


###################################################
### code chunk number 14: googleVis.Rnw:436-437
###################################################
names(M$html$chart)


###################################################
### code chunk number 15: googleVis.Rnw:440-441
###################################################
print(M, tag='chart')  ## or cat(M$html$chart)


###################################################
### code chunk number 16: googleVis.Rnw:444-445
###################################################
cat(M$html$chart['jsChart']) # or print(M, 'jsChart')


###################################################
### code chunk number 17: googleVis.Rnw:451-452 (eval = FALSE)
###################################################
## print(M, tag='caption')


###################################################
### code chunk number 18: googleVis.Rnw:454-455
###################################################
cat(paste(substring( capture.output( cat(M$html$caption) ) , 0, 66), sep="\n", collapse="\n"))


###################################################
### code chunk number 19: googleVis.Rnw:458-459 (eval = FALSE)
###################################################
## print(M, tag='footer')


###################################################
### code chunk number 20: googleVis.Rnw:461-462
###################################################
cat(paste(substring( capture.output( cat(M$html$footer) ) , 0, 66), sep="\n", collapse="\n"))


###################################################
### code chunk number 21: googleVis.Rnw:468-469 (eval = FALSE)
###################################################
## plot(M)  # returns invisibly the file name


###################################################
### code chunk number 22: googleVis.Rnw:484-485 (eval = FALSE)
###################################################
## print(M, file="myGoogleVisChart.html")


###################################################
### code chunk number 23: googleVis.Rnw:518-527
###################################################
G <- gvisGeoChart(Exports, "Country", "Profit", 
                  options=list(width=200, height=100))
T <- gvisTable(Exports, 
                  options=list(width=200, height=270))
M <- gvisMotionChart(Fruits, "Fruit", "Year",
                     options=list(width=400, height=370))
GT <- gvisMerge(G,T, horizontal=FALSE) 
GTM <- gvisMerge(GT, M, horizontal=TRUE, 
                 tableOptions="bgcolor=\"#CCCCCC\" cellspacing=10")


###################################################
### code chunk number 24: googleVis.Rnw:529-530 (eval = FALSE)
###################################################
## plot(GTM)


###################################################
### code chunk number 25: googleVis.Rnw:558-579 (eval = FALSE)
###################################################
## df <- data.frame(country=c("US", "GB", "BR"), 
##                         val1=c(1,3,4), val2=c(23,12,32))
## 
## Line <-  gvisLineChart(df, xvar="country", yvar=c("val1","val2"),
##                         options=list(
##                           title="Hello World",
##                           titleTextStyle="{color:'red', 
##                                            fontName:'Courier', 
##                                            fontSize:16}",                         
##                           backgroundColor="#D3D3D3",                          
##                           vAxis="{gridlines:{color:'red', count:3}}",
##                           hAxis="{title:'Country', titleTextStyle:{color:'blue'}}",
## 		          series="[{color:'green', targetAxisIndex: 0},	
##                                    {color: 'orange',targetAxisIndex:1}]",
##                           vAxes="[{title:'val1'}, {title:'val2'}]",
##                           legend="bottom",
##                           curveType="function",
##                           width=500,
##                           height=300                         
##                           ))
## plot(Line)


###################################################
### code chunk number 26: googleVis.Rnw:593-595 (eval = FALSE)
###################################################
## Editor <- gvisLineChart(df, options=list(gvis.editor='Edit me!'))
## plot(Editor)


###################################################
### code chunk number 27: googleVis.Rnw:617-624
###################################################
df <- data.frame("Year"=c(2010,2011), "Lloyd\\'s"=c(86.1, 93.3), 
                 "Munich Re\\'s R/I"=c(95.3, 100.5),
                 check.names=FALSE) 
df
CR <- gvisColumnChart(df, options=list(vAxis='{baseline:0}', 
                            title="Combined Ratio %",
                            legend="{position:'bottom'}"))


###################################################
### code chunk number 28: googleVis.Rnw:626-627 (eval = FALSE)
###################################################
## plot(CR)


###################################################
### code chunk number 29: googleVis.Rnw:645-646 (eval = FALSE)
###################################################
## print(M, 'chart')  ## or cat(M$html$chart) 


###################################################
### code chunk number 30: googleVis.Rnw:649-650 (eval = FALSE)
###################################################
## print(M, 'chart', file='myfilename')


###################################################
### code chunk number 31: googleVis.Rnw:671-673 (eval = FALSE)
###################################################
## M <- gvisMotionChart(Fruits, "Fruit", "Year",
## 		     options=list(width=400, height=370))


###################################################
### code chunk number 32: googleVis.Rnw:676-677 (eval = FALSE)
###################################################
## print(M, 'chart')


###################################################
### code chunk number 33: googleVis.Rnw:714-716
###################################################
M <- gvisMotionChart(Fruits, "Fruit", "Year")
G <- createGoogleGadget(M)


###################################################
### code chunk number 34: googleVis.Rnw:718-719 (eval = FALSE)
###################################################
## cat(G, file="myGadget.xml")


###################################################
### code chunk number 35: googleVis.Rnw:790-793 (eval = FALSE)
###################################################
## library(R.rsp) 
## browseRsp() 
## # Follow the link for googleVis in the opening browser window


###################################################
### code chunk number 36: googleVis.Rnw:797-798 (eval = FALSE)
###################################################
## file.path(system.file("rsp", package = "googleVis"), "index.rsp")


###################################################
### code chunk number 37: googleVis.Rnw:856-857 (eval = FALSE)
###################################################
## install.packages('brew')


###################################################
### code chunk number 38: googleVis.Rnw:891-892 (eval = FALSE)
###################################################
## system.file("brew", package = "googleVis")


###################################################
### code chunk number 39: googleVis.Rnw:964-970 (eval = FALSE)
###################################################
## jscode <- "window.open('http://en.wikipedia.org/wiki/' 
##                   + data.getValue(chart.getSelection()[0].row,0)); "
## 
## J1 <- gvisGeoMap(Exports, locationvar='Country', numvar='Profit',
##                  options=list(dataMode="regions", gvis.listener.jscode=jscode))
## plot(J1)


###################################################
### code chunk number 40: googleVis.Rnw:973-975 (eval = FALSE)
###################################################
## plot(gvisOrgChart(Regions,  options=list(gvis.listener.jscode=jscode)))
## plot(gvisLineChart(Regions[,c(1,3)], options=list(gvis.listener.jscode=jscode)))


###################################################
### code chunk number 41: googleVis.Rnw:979-987 (eval = FALSE)
###################################################
## jscode <- "
##        var sel = chart.getSelection();
##        var row = sel[0].row;
##        var text = data.getValue(row,1);
##        alert(text);
## "
## J2 <- gvisTable(Population, options=list(gvis.listener.jscode=jscode))
## plot(J2)


###################################################
### code chunk number 42: googleVis.Rnw:1004-1005 (eval = FALSE)
###################################################
## citation("googleVis")


###################################################
### code chunk number 43: googleVis.Rnw:1008-1009 (eval = FALSE)
###################################################
## citation()


